oracle.adf.view.rich.render

## Enum TransitionType

- java.lang.Object
- - java.lang.Enum<TransitionType>
  - - oracle.adf.view.rich.render.TransitionType

- All Implemented Interfaces:
    Serializable, Comparable<TransitionType>

      @Exported
      public enum TransitionType
      extends Enum<TransitionType>

  The name of the transition for a trigger type. The actual animation may vary from what is described here.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Leave the decision up to the parent component.
    `FADE` A gradual opacity change between the views.
    `FLIP_DOWN` Imagine the 2 views sandwiched, the top of the sandwich moves toward the user and continues downward until the sandwich is flipped a full 180 degrees.
    `FLIP_END` Imagine the 2 views sandwiched, the start of the sandwich moves toward the user and continues in the end direction until the sandwich is flipped a full 180 degrees.
    `FLIP_LEFT` Imagine the 2 views sandwiched, the right of the sandwich moves toward the user and continues in the left direction until the sandwich is flipped a full 180 degrees.
    `FLIP_RIGHT` Imagine the 2 views sandwiched, the left of the sandwich moves toward the user and continues in the right direction until the sandwich is flipped a full 180 degrees.
    `FLIP_START` Imagine the 2 views sandwiched, the end of the sandwich moves toward the user and continues in the start direction until the sandwich is flipped a full 180 degrees.
    `FLIP_UP` Imagine the 2 views sandwiched, the bottom of the sandwich moves toward the user and continues upward until the sandwich is flipped a full 180 degrees.
    `HORIZONTAL` Imagine the view moves in the horizontal direction.
    `NONE` No animation between views; the default and also the type used if another specified animation type is not supported on a platform.
    `SLIDE_DOWN` Imagine the 2 views stacked vertically, they both move down.
    `SLIDE_END` Imagine the 2 views stacked horizontally, they both move in the end direction.
    `SLIDE_LEFT` Imagine the 2 views stacked horizontally, they both move in the left direction.
    `SLIDE_RIGHT` Imagine the 2 views stacked horizontally, they both move in the right direction.
    `SLIDE_START` Imagine the 2 views stacked horizontally, they both move in the start direction.
    `SLIDE_UP` Imagine the 2 views stacked vertically, they both move up.
    `VERTICAL` Imagine the view moves in the vertical direction.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransitionType` | `getByName(String propertyName)`
    `String` | `getName()`
    `String` | `toString()`
    `static TransitionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransitionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final TransitionType NONE

      No animation between views; the default and also the type used if another specified animation type is not supported on a platform.

    - #### AUTO

          public static final TransitionType AUTO

      Leave the decision up to the parent component.

    - #### FADE

          public static final TransitionType FADE

      A gradual opacity change between the views.

    - #### FLIP_UP

          public static final TransitionType FLIP_UP

      Imagine the 2 views sandwiched, the bottom of the sandwich moves toward the user and continues upward until the sandwich is flipped a full 180 degrees.

    - #### FLIP_DOWN

          public static final TransitionType FLIP_DOWN

      Imagine the 2 views sandwiched, the top of the sandwich moves toward the user and continues downward until the sandwich is flipped a full 180 degrees.

    - #### FLIP_START

          public static final TransitionType FLIP_START

      Imagine the 2 views sandwiched, the end of the sandwich moves toward the user and continues in the start direction until the sandwich is flipped a full 180 degrees.

    - #### FLIP_END

          public static final TransitionType FLIP_END

      Imagine the 2 views sandwiched, the start of the sandwich moves toward the user and continues in the end direction until the sandwich is flipped a full 180 degrees.

    - #### FLIP_LEFT

          public static final TransitionType FLIP_LEFT

      Imagine the 2 views sandwiched, the right of the sandwich moves toward the user and continues in the left direction until the sandwich is flipped a full 180 degrees.

    - #### FLIP_RIGHT

          public static final TransitionType FLIP_RIGHT

      Imagine the 2 views sandwiched, the left of the sandwich moves toward the user and continues in the right direction until the sandwich is flipped a full 180 degrees.

    - #### SLIDE_UP

          public static final TransitionType SLIDE_UP

      Imagine the 2 views stacked vertically, they both move up.

    - #### SLIDE_DOWN

          public static final TransitionType SLIDE_DOWN

      Imagine the 2 views stacked vertically, they both move down.

    - #### SLIDE_START

          public static final TransitionType SLIDE_START

      Imagine the 2 views stacked horizontally, they both move in the start direction.

    - #### SLIDE_END

          public static final TransitionType SLIDE_END

      Imagine the 2 views stacked horizontally, they both move in the end direction.

    - #### SLIDE_LEFT

          public static final TransitionType SLIDE_LEFT

      Imagine the 2 views stacked horizontally, they both move in the left direction.

    - #### SLIDE_RIGHT

          public static final TransitionType SLIDE_RIGHT

      Imagine the 2 views stacked horizontally, they both move in the right direction.

    - #### VERTICAL

          public static final TransitionType VERTICAL

      Imagine the view moves in the vertical direction. The start and end direction of transition are decided by the component.

    - #### HORIZONTAL

          public static final TransitionType HORIZONTAL

      Imagine the view moves in the horizontal direction. The start and end direction of transition are decided by the component.

  - ### Method Detail

    - #### values

          public static TransitionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransitionType c : TransitionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransitionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TransitionType>`

    - #### getByName

          public static TransitionType getByName(String propertyName)

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.